#include "std.mi"

Global Group ScriptGrp;
Global Button ToggleEQ;
Global Button ToggleAuto;
Global Button ToggleRepeat;
Global Button ToggleShuffle;
Global Layer repON, repOFF, autoON, autoOFF, pwrON, pwrOFF, shuON, shuOFF;

System.onScriptLoaded() { 

	ScriptGrp = getScriptGroup();

	ToggleEQ = ScriptGrp.findObject("ToggleEQ");
	ToggleAuto = ScriptGrp.findObject("ToggleAuto");

	ToggleRepeat = ScriptGrp.findObject("ToggleRepeat");
	ToggleShuffle = ScriptGrp.findObject("ToggleShuffle");

	pwrON = ScriptGrp.findObject("eq.power.state.on");
	pwrOFF = ScriptGrp.findObject("eq.power.state.off");
	autoON = ScriptGrp.findObject("eq.auto.state.on");
	autoOFF = ScriptGrp.findObject("eq.auto.state.off");
	repON = ScriptGrp.findObject("eq.repeat.state.on");
	repOFF = ScriptGrp.findObject("eq.repeat.state.off");
	shuON = ScriptGrp.findObject("eq.shuffle.state.on");
	shuOFF = ScriptGrp.findObject("eq.shuffle.state.off");

	int act;

	act=ToggleEQ.getActivated();
	ToggleEQ.setActivated(act);
	if (act==1) {
	pwrON.show();
	pwrOFF.hide();
	}
	if (act==0)	  {
	pwrON.hide();
	pwrOFF.show();
	}

	act=ToggleAuto.getActivated();
	ToggleAuto.setActivated(act);
	if (act==1) {
	autoON.show();
	autoOFF.hide();
	}
	if (act==0)	  {
	autoON.hide();
	autoOFF.show();
	}

	act=ToggleRepeat.getActivated();
	ToggleRepeat.setActivated(act);
	if (act==1) {
	repON.show();
	repOFF.hide();
	}
	if (act==0)	  {
	repON.hide();
	repOFF.show();
	}

	act=ToggleShuffle.getActivated();
	ToggleShuffle.setActivated(act);
	if (act==1) {
	shuON.show();
	shuOFF.hide();
	}
	if (act==0)	  {
	shuON.hide();
	shuOFF.show();
	}
}

//-----------------------------------------------------

ToggleEQ.onActivate(int activated) {
	if (activated==1) {
	pwrON.show();
	pwrOFF.hide();
	}
	if (activated==0) {
	pwrON.hide();
	pwrOFF.show();
	}
}

ToggleAuto.onActivate(int activated) {
	if (activated==1) {
	autoON.show();
	autoOFF.hide();
	}
	if (activated==0) {
	autoON.hide();
	autoOFF.show();
	}
}

ToggleRepeat.onActivate(int activated) {
	if (activated==1) {
	repON.show();
	repOFF.hide();
	}
	if (activated==0) {
	repON.hide();
	repOFF.show();
	}
}

ToggleShuffle.onActivate(int activated) {
	if (activated==1) {
	shuON.show();
	shuOFF.hide();
	}
	if (activated==0) {
	shuON.hide();
	shuOFF.show();
	}
}