#include "std.mi"

function NormalCoverToggle();
function SquareCoverToggle();

Global Layout mainnormal;
Global Layout mainsquare;
Global Button normalcoverbtn;
Global Button squarecoverbtn;
Global Guiobject normalinfos;
Global Guiobject squareinfos;
Global int normalcoverstate;
Global int squarecoverstate;


function DockCoverToggle();

Global Layout docktop;
Global Layout dockbtm;
Global Button docktopcoverbtn;
Global Button dockbtmcoverbtn;
Global Guiobject docktopinfos;
Global Guiobject dockbtminfos;
Global int dockcoverstate;


Global Layout mininormal;
Global Button minicoverbtn;
Global Guiobject coverartmini;
Global int minicoverstate;


System.onScriptLoaded() { 

	normalcoverstate = 1; 
	squarecoverstate = 1; 

	mainnormal = getContainer("main").getLayout("normal"); 
	mainsquare = getContainer("main").getLayout("square"); 

	normalcoverbtn = mainnormal.findObject("main.coverbtn");
	normalinfos = mainnormal.findObject("main.infos");

	squarecoverbtn = mainsquare.findObject("main.square.coverbtn");
	squareinfos = mainsquare.findObject("main.square.infos");

	normalcoverstate = getPrivateInt("Quadelic_White", "lastnormalcoverstate", normalcoverstate);
	squarecoverstate = getPrivateInt("Quadelic_White", "lastsquarecoverstate", squarecoverstate);

	normalinfos.setXMLParam("groupid", "main.info"+integerToString(normalcoverstate));
	squareinfos.setXMLParam("groupid", "main.square.info"+integerToString(squarecoverstate));


	dockcoverstate = 1; 

	docktop = getContainer("dock").getLayout("normal"); 
	dockbtm = getContainer("dock").getLayout("btm"); 

	docktopcoverbtn = docktop.findObject("dock.top.coverbtn");
	dockbtmcoverbtn = dockbtm.findObject("dock.btm.coverbtn");

	docktopinfos = docktop.findObject("dock.top.infos");
	dockbtminfos = dockbtm.findObject("dock.btm.infos");

	dockcoverstate = getPrivateInt("Quadelic_White", "lastdockcoverstate", dockcoverstate);

	docktopinfos.setXMLParam("groupid", "dock.info"+integerToString(dockcoverstate));
	dockbtminfos.setXMLParam("groupid", "dock.info"+integerToString(dockcoverstate));


	minicoverstate = 1; 

	mininormal = getContainer("mini").getLayout("normal"); 
	minicoverbtn = mininormal.findObject("mini.coverbtn");
	coverartmini = minicoverbtn.findObject("coverart.mini");

	minicoverstate = getPrivateInt("Quadelic_White", "lastminicoverstate", minicoverstate);

	if (minicoverstate == 1) { 
		coverartmini.setTargetA(255);
		coverartmini.setTargetSpeed(0);
		coverartmini.gotoTarget();
	} else { 
		coverartmini.setTargetA(0);
		coverartmini.setTargetSpeed(0);
		coverartmini.gotoTarget();
		}	
}



NormalCoverToggle() {
  if (normalcoverstate < 2) { 
  normalcoverstate = normalcoverstate + 1; 
  } else { 
  normalcoverstate = 1; 
  } 

  if ((normalcoverstate>=1) && (normalcoverstate<=2))
	normalinfos.setXMLParam("groupid", "main.info"+integerToString(normalcoverstate));
	setPrivateInt("Quadelic_White", "lastnormalcoverstate", normalcoverstate);
}

SquareCoverToggle() {
  if (squarecoverstate < 2) { 
  squarecoverstate = squarecoverstate + 1; 
  } else { 
  squarecoverstate = 1; 
  } 

  if ((squarecoverstate>=1) && (squarecoverstate<=2))
	squareinfos.setXMLParam("groupid", "main.square.info"+integerToString(squarecoverstate));
	setPrivateInt("Quadelic_White", "lastsquarecoverstate", squarecoverstate);
}

DockCoverToggle() {
  if (dockcoverstate < 2) { 
  dockcoverstate = dockcoverstate + 1; 
  } else { 
  dockcoverstate = 1; 
  } 

  if ((dockcoverstate>=1) && (dockcoverstate<=2))
	docktopinfos.setXMLParam("groupid", "dock.info"+integerToString(dockcoverstate));
	dockbtminfos.setXMLParam("groupid", "dock.info"+integerToString(dockcoverstate));
	setPrivateInt("Quadelic_White", "lastdockcoverstate", dockcoverstate);
}


normalcoverbtn.onLeftClick() {
  NormalCoverToggle();
}

squarecoverbtn.onLeftClick() {
  SquareCoverToggle();
}

docktopcoverbtn.onLeftClick() {
  DockCoverToggle();
}

dockbtmcoverbtn.onLeftClick() {
  DockCoverToggle();
}

minicoverbtn.onLeftClick() { 
	if (minicoverstate < 2) { 
	minicoverstate = minicoverstate + 1; 
	} else { 
	minicoverstate = 1; 
	} 

	if (minicoverstate == 1) { 
		coverartmini.setTargetA(255);
		coverartmini.setTargetSpeed(0);
		coverartmini.gotoTarget();
	} else { 
		coverartmini.setTargetA(0);
		coverartmini.setTargetSpeed(0);
		coverartmini.gotoTarget();
		}
	{ 
	setPrivateInt("Quadelic_White", "lastminicoverstate", minicoverstate);
	} 
}