#include "std.mi"
#include "pldir.mi"

Function updatedisplay();

Global Group infogroup;
Global Text massageT;
Global Timer TickerTimer;

System.onScriptLoaded()
{

  infogroup = System.getScriptGroup();

  massageT = infogroup.getObject("songticker");

	TickerTimer = new Timer;
	TickerTimer.setDelay(750);

}

TickerTimer.onTimer() {
	massageT.setText("");
	TickerTimer.stop();
}

//---------------------------------------------

System.onVolumeChanged(int newVol) {
	TickerTimer.stop();
	TickerTimer.start();
	int p = (newVol * 100) / 255;
	massageT.setAlternateText("::: Vol." + System.integerToString(p) + "% ::: ");
}

System.onPlay(){
	TickerTimer.stop();
	TickerTimer.start();
	massageT.setAlternateText("::: Play :::");
}

System.onPause(){
	TickerTimer.stop();
	TickerTimer.start();
	massageT.setAlternateText("::: Pause :::");
}

System.onStop(){
	TickerTimer.stop();
	TickerTimer.start();
	massageT.setAlternateText("::: Stop :::");
}

System.onResume(){
	TickerTimer.stop();
	TickerTimer.start();
	massageT.setAlternateText("::: Play :::");
}
