#include "std.mi" 

Global Layout confignormal;
Global Group config1Grp;
Global slider transSlider;

Global Layout mainnormal;
Global Layout mainsquare;
Global Layout mainstick;
Global Layout eqnormal;

Global Layer normalDisplay;
Global Layer squareDisplay;
Global Layer stickDisplay;
Global Layer eqDisplay;

Global int curValue;


Global Button glossBtn;
//Class Layer Allgloss;
Global Layer mainglossTop, mainglossBtm, squareglossTop1, squareglossTop2, squareglossTop3, squareglossBtm1, squareglossBtm2, squareglossBtm3, stickgloss, eqglossTop, eqglossBtm;
Global int glossstate;


System.onScriptLoaded() {

	curValue = 255;

	confignormal = getContainer("configuration").getLayout("normal");
	config1Grp = confignormal.findObject("config1Grp");
	transSlider = config1Grp.getObject("trans.slider");

	mainnormal = getContainer("main").getlayout("normal");
	normalDisplay = mainnormal.getObject("main.body.display");
	mainsquare = getContainer("main").getlayout("square");
	squareDisplay = mainsquare.getObject("main.body.square.display");
	mainstick = getContainer("main").getlayout("stick");
	stickDisplay = mainstick.getObject("main.body.stick.display");

	eqnormal = getContainer("eq").getlayout("normal");
	eqDisplay = eqnormal.getObject("equalizer.body.display");

	curValue = System.getPrivateInt("Quadelic_White", "transValue", curValue);
	transSlider.setPosition(curValue);


	glossstate = 1;
	
	glossBtn = config1Grp.getObject("gloss.btn");

	mainglossTop = mainnormal.findObject("main.topgloss");
	mainglossBtm = mainnormal.findObject("main.btmgloss");
	squareglossTop1 = mainsquare.findObject("square.topgloss.left");
	squareglossTop2 = mainsquare.findObject("square.topgloss.middle");
	squareglossTop3 = mainsquare.findObject("square.topgloss.right");
	squareglossBtm1 = mainsquare.findObject("square.btmgloss.left");
	squareglossBtm2 = mainsquare.findObject("square.btmgloss.middle");
	squareglossBtm3 = mainsquare.findObject("square.btmgloss.right");
	stickgloss = mainstick.findObject("stick.gloss");
	eqglossTop = eqnormal.findObject("equalizer.topgloss");
	eqglossBtm = eqnormal.findObject("equalizer.btmgloss");

	glossstate = System.getPrivateInt("Quadelic_White", "lastglossstate", glossstate);
	if (glossstate == 1) { 
		mainglossTop.show();
		mainglossBtm.show();
		squareglossTop1.show();
		squareglossTop2.show();
		squareglossTop3.show();
		squareglossBtm1.show();
		squareglossBtm2.show();
		squareglossBtm3.show();
		stickgloss.show();
		eqglossTop.show();
		eqglossBtm.show();
	} else { 
		mainglossTop.hide();
		mainglossBtm.hide();
		squareglossTop1.hide();
		squareglossTop2.hide();
		squareglossTop3.hide();
		squareglossBtm1.hide();
		squareglossBtm2.hide();
		squareglossBtm3.hide();
		stickgloss.hide();
		eqglossTop.hide();
		eqglossBtm.hide();
	}
}


transSlider.onSetPosition(Int intPosition) {
	curValue = intPosition;
	normalDisplay.setAlpha(intPosition);
	squareDisplay.setAlpha(intPosition);
	stickDisplay.setAlpha(intPosition);
	eqDisplay.setAlpha(intPosition);
	System.setPrivateInt("Quadelic_White", "transValue", curValue);
}


glossBtn.onLeftClick() { 
	if (glossstate < 2) { 
	glossstate = glossstate + 1; 
	} else { 
	glossstate = 1; 
	} 

	if (glossstate == 1) { 
		mainglossTop.show();
		mainglossBtm.show();
		squareglossTop1.show();
		squareglossTop2.show();
		squareglossTop3.show();
		squareglossBtm1.show();
		squareglossBtm2.show();
		squareglossBtm3.show();
		stickgloss.show();
		eqglossTop.show();
		eqglossBtm.show();
	} else { 
		mainglossTop.hide();
		mainglossBtm.hide();
		squareglossTop1.hide();
		squareglossTop2.hide();
		squareglossTop3.hide();
		squareglossBtm1.hide();
		squareglossBtm2.hide();
		squareglossBtm3.hide();
		stickgloss.hide();
		eqglossTop.hide();
		eqglossBtm.hide();
	}
	{ 
	System.setPrivateInt("Quadelic_White", "lastglossstate", glossstate);
	} 
}