#include "std.mi" 

Global Layout confignormal;
Global Group config1Grp;
Global Slider transSliderDock;
Global Layout docknormal, dockbtm;
Global Layer dockBaseTop, dockBaseBtm;
Global Layer dockTabTop, dockTabBtm;
Global int curValue;

Global Button docklineBtn;
Global Layer docklineTop, docklineBtm, tablineTop, tablineBtm;
Global int linestate;

Global Button dockposBtn;

System.onScriptLoaded() {

	curValue = 255;

	confignormal = getContainer("configuration").getLayout("normal");
	config1Grp = confignormal.getObject("config1Grp");
	transSliderDock = config1Grp.getObject("trans.slider.dock");

	docknormal = getContainer("dock").getlayout("normal");
	dockBaseTop = docknormal.findObject("dock.base.top");
	dockTabTop = docknormal.findObject("tab.top");

	dockbtm = getContainer("dock").getlayout("btm");
	dockBaseBtm = dockbtm.findObject("dock.base.btm");
	dockTabBtm = dockbtm.findObject("tab.btm");

	curValue = getPrivateInt("Quadelic_White", "transValueDock", curValue);
	transSliderDock.setPosition(curValue);

	
	linestate = 1;
	
	docklineBtn = config1Grp.getObject("dockline.btn");

	docklineTop = docknormal.findObject("dockline.top");
	tablineTop = docknormal.findObject("tabline.top");
	docklineBtm = dockbtm.findObject("dockline.btm");
	tablineBtm = dockbtm.findObject("tabline.btm");

	linestate = getPrivateInt("Quadelic_White", "lastlinestate", linestate);
	if (linestate == 1) { 
		docklineTop.show();
		tablineTop.show();
		docklineBtm.show();
		tablineBtm.show();
	} else { 
		docklineTop.hide();
		tablineTop.hide();
		docklineBtm.hide();
		tablineBtm.hide();
	}

	dockposBtn = config1Grp.getObject("dockpos.btn");

}



transSliderDock.onSetPosition(Int intPosition) {
	curValue = intPosition;
	dockBaseTop.setAlpha(intPosition);
	dockBaseBtm.setAlpha(intPosition);
	dockTabTop.setAlpha(intPosition);
	dockTabBtm.setAlpha(intPosition);
	System.setPrivateInt("Quadelic_White", "transValueDock", curValue);
}


docklineBtn.onLeftClick() { 
	if (linestate < 2) { 
	linestate = linestate + 1; 
	} else { 
	linestate = 1; 
	} 

	if (linestate == 1) { 
		docklineTop.show();
		tablineTop.show();
		docklineBtm.show();
		tablineBtm.show();
		} 

	if (linestate == 2) { 
		docklineTop.hide();
		tablineTop.hide();
		docklineBtm.hide();
		tablineBtm.hide();
		} 
	{ 
	System.setPrivateInt("Quadelic_White", "lastlinestate", linestate);
	} 
}

dockposBtn.onLeftClick() { 
	docknormal.setTargetX(0);
	docknormal.setTargetY(0);
	docknormal.setTargetW(420);
	docknormal.setTargetH(80);
	docknormal.setTargetSpeed(0);
	docknormal.gotoTarget();
	dockbtm.setTargetX(0);
	dockbtm.setTargetY(0);
	dockbtm.setTargetW(420);
	dockbtm.setTargetH(80);
	dockbtm.setTargetSpeed(0);
	dockbtm.gotoTarget();
	}