#include "std.mi"

Global Layout mininormal;
Global Group minimidBtns;
Global Button InfoBtn;

Global Group ScriptGrp;
Global AnimatedLayer OpenAnime;
Global AnimatedLayer CloseAnime;

Global Group Balloon;
Global Int BalloonState;

System.onScriptLoaded() { 

	BalloonState = 2;

	mininormal = getContainer("mini").getLayout("normal");
	minimidBtns = mininormal.findObject("mini.mid.btns");
	InfoBtn = minimidBtns.findObject("mini.infobtn");

	ScriptGrp = getScriptGroup();
	OpenAnime = ScriptGrp.getObject("open.anime");
	CloseAnime = ScriptGrp.getObject("close.anime");
	Balloon = ScriptGrp.getObject("balloon");

	BalloonState = getPrivateInt("Quadelic_White", "lastBalloonState", BalloonState);
	if (BalloonState == 1) { 
		Balloon.setTargetA(255);
		Balloon.setTargetSpeed(1.0);
		Balloon.gotoTarget();
	} else { 
		Balloon.setTargetA(0);
		Balloon.setTargetSpeed(0.3);
		Balloon.gotoTarget();
		}
	}

InfoBtn.onLeftClick() { 
	if (BalloonState < 2) { 
	BalloonState = BalloonState + 1; 
	} else { 
	BalloonState = 1; 
	} 

	if (BalloonState == 1) { 
		OpenAnime.play();
		Balloon.setTargetA(255);
		Balloon.setTargetSpeed(1.0);
		Balloon.gotoTarget();
		} 

	if (BalloonState == 2) { 
		CloseAnime.play();
		Balloon.setTargetA(0);
		Balloon.setTargetSpeed(0.3);
		Balloon.gotoTarget();
		} 
	{ 
	System.setPrivateInt("Quadelic_White", "lastBalloonState", BalloonState);
	} 
}