
#include "std.mi"

Global Layout confignormal;
Global Group GrpConfigCT, GrpConfigCFG1, GrpConfigCFG2, GrpConfigTips, GrpConfigAbt;
Global Button BtnConfigCT, BtnConfigCFG1, BtnConfigCFG2, BtnConfigTips, BtnConfigAbt;
Global Button HomeBtn, DeviantartBtn, MysiteBtn, ColoreditorBtn;

System.onScriptLoaded() {

	confignormal = getContainer("configuration").getLayout("normal");

	GrpConfigCT = confignormal.findObject("colorthemesGrp");
	GrpConfigCFG1 = confignormal.findObject("config1Grp");
	GrpConfigCFG2 = confignormal.findObject("config2Grp");
	GrpConfigTips = confignormal.findObject("tipsGrp");
	GrpConfigAbt = confignormal.findObject("aboutGrp");

	BtnConfigCT = confignormal.findObject("config.colorthemes.btn");
	BtnConfigCFG1 = confignormal.findObject("config.config1.btn");
	BtnConfigCFG2 = confignormal.findObject("config.config2.btn");
	BtnConfigTips = confignormal.findObject("config.tips.btn");
	BtnConfigAbt = confignormal.findObject("config.about.btn");

	HomeBtn = GrpConfigAbt.findObject("home");
	DeviantartBtn = GrpConfigAbt.findObject("deviantart");
	MysiteBtn = GrpConfigTips.findObject("mysiteBtn");
	ColoreditorBtn = GrpConfigTips.findObject("coloreditorBtn");

	GrpConfigCFG1.hide();
	GrpConfigCFG2.hide();
	GrpConfigTips.hide();
	GrpConfigAbt.hide();
}

//---------------------------------------------

BtnConfigCT.onLeftClick() { 
	GrpConfigCT.show();
	GrpConfigCFG1.hide();
	GrpConfigCFG2.hide();
	GrpConfigTips.hide();
	GrpConfigAbt.hide();
	}

BtnConfigCFG1.onLeftClick() { 
	GrpConfigCT.hide();
	GrpConfigCFG1.show();
	GrpConfigCFG2.hide();
	GrpConfigTips.hide();
	GrpConfigAbt.hide();
	}

BtnConfigCFG2.onLeftClick() { 
	GrpConfigCT.hide();
	GrpConfigCFG1.hide();
	GrpConfigCFG2.show();
	GrpConfigTips.hide();
	GrpConfigAbt.hide();
	}

BtnConfigTips.onLeftClick() { 
	GrpConfigCT.hide();
	GrpConfigCFG1.hide();
	GrpConfigCFG2.hide();
	GrpConfigTips.show();
	GrpConfigAbt.hide();
	}

BtnConfigAbt.onLeftClick() { 
	GrpConfigCT.hide();
	GrpConfigCFG1.hide();
	GrpConfigCFG2.hide();
	GrpConfigTips.hide();
	GrpConfigAbt.show();
	}

//---------------------------------------------

HomeBtn .onLeftClick() { System.navigateURL("http://takanory.ninja-x.jp/"); }
DeviantartBtn .onLeftClick() { System.navigateURL("http://takanory.deviantart.com/"); }
MysiteBtn .onLeftClick() { System.navigateURL("http://takanory.ninja-x.jp/"); }
ColoreditorBtn .onLeftClick() { System.navigateURL("http://forums.winamp.com/showthread.php?s=&threadid=161484"); }