
#include "std.mi"

Global Container Video;
Global Layout VideoNormal;
Global Group VideoConGrp;
Global Layer VideoConBase;

Global Button Prev;
Global Button Pause;
Global Button Play;
Global Button Next;
Global Button Open;
Global Button Full;
Global Button N;
Global Button D;
Global Slider Seeker;


Global Container Visualizer;
Global Layout VisNormal;
Global Group VisConGrp;
Global Layer VisConBase;

Global Button VisPrev;
Global Button VisNext;
Global Button VisRan;

System.onScriptLoaded() {

	Video = System.getContainer("video");
	VideoNormal = Video.getLayout("normal");
	VideoConGrp = VideoNormal.findObject("video.control");

	VideoConBase = VideoConGrp.findObject("video.con.base");
	Prev = VideoConGrp.findObject("Prev");
	Pause = VideoConGrp.findObject("Pause");
	Play = VideoConGrp.findObject("Play");
	Next = VideoConGrp.findObject("Next");
	Open = VideoConGrp.findObject("Open");
	Full = VideoConGrp.findObject("Full");
	Open = VideoConGrp.findObject("Open");
	N = VideoConGrp.findObject("x1");
	D = VideoConGrp.findObject("x2");
	Seeker = VideoConGrp.findObject("Seeker");

	VideoConGrp.setAlpha(0);


	Visualizer = System.getContainer("avs_window");
	VisNormal = Visualizer.getLayout("normal");
	VisConGrp = VisNormal.findObject("vis.control");

	VisConBase = VisConGrp.findObject("vis.con.base");
	VisPrev = VisConGrp.findObject("vis.prev");
	VisNext = VisConGrp.findObject("vis.next");
	VisRan = VisConGrp.findObject("vis.ran");

	VisConGrp.setAlpha(0);
}

//---------------------------------------------
VideoConBase.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

VideoConBase.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Prev.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Prev.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Pause.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Pause.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Play.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Play.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Next.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Next.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Open.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Open.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Full.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Full.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Open.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Open.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
N.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

N.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
D.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

D.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}
//---------------------------------------------
Seeker.OnEnterArea() {
	VideoConGrp.setTargetA(255);
	VideoConGrp.setTargetSpeed(0);
	VideoConGrp.gotoTarget();
}

Seeker.OnLeaveArea() {
	VideoConGrp.setTargetA(0);
	VideoConGrp.setTargetSpeed(0.7);
	VideoConGrp.gotoTarget();
}

//---------------------------------------------
//---------------------------------------------
VisConBase.OnEnterArea() {
	VisConGrp.setTargetA(255);
	VisConGrp.setTargetSpeed(0);
	VisConGrp.gotoTarget();
}

VisConBase.OnLeaveArea() {
	VisConGrp.setTargetA(0);
	VisConGrp.setTargetSpeed(0.7);
	VisConGrp.gotoTarget();
}
//---------------------------------------------
VisPrev.OnEnterArea() {
	VisConGrp.setTargetA(255);
	VisConGrp.setTargetSpeed(0);
	VisConGrp.gotoTarget();
}

VisPrev.OnLeaveArea() {
	VisConGrp.setTargetA(0);
	VisConGrp.setTargetSpeed(0.7);
	VisConGrp.gotoTarget();
}
//---------------------------------------------
VisNext.OnEnterArea() {
	VisConGrp.setTargetA(255);
	VisConGrp.setTargetSpeed(0);
	VisConGrp.gotoTarget();
}

VisNext.OnLeaveArea() {
	VisConGrp.setTargetA(0);
	VisConGrp.setTargetSpeed(0.7);
	VisConGrp.gotoTarget();
}
//---------------------------------------------
VisRan.OnEnterArea() {
	VisConGrp.setTargetA(255);
	VisConGrp.setTargetSpeed(0);
	VisConGrp.gotoTarget();
}

VisRan.OnLeaveArea() {
	VisConGrp.setTargetA(0);
	VisConGrp.setTargetSpeed(0.7);
	VisConGrp.gotoTarget();
}