#include "std.mi"

Global Group infogroup;
Global Slider Volume;
Global Timer HideTimer;

System.onScriptLoaded()
{

	infogroup = System.getScriptGroup();
	Volume = infogroup.getObject("Volume");

	Volume.setAlpha(0);
}

System.onScriptUnloading() {
  delete HideTimer;
}

//---------------------------------------------

System.onVolumeChanged(int newVol) {
	Volume.setTargetA(255);
	Volume.setTargetSpeed(0);
	Volume.gotoTarget();

	HideTimer = new Timer; 
	HideTimer.setDelay(500); 
	HideTimer.start(); 
}

HideTimer.onTimer() { 
	HideTimer.stop(); 
	Volume.setTargetA(0);
	Volume.setTargetSpeed(1);
	Volume.gotoTarget();
}

Volume.OnEnterArea() {
	Volume.setTargetA(255);
	Volume.setTargetSpeed(0);
	Volume.gotoTarget();
}

Volume.OnLeaveArea() {
	Volume.setTargetA(0);
	Volume.setTargetSpeed(1);
	Volume.gotoTarget();
}